<!DOCTYPE html>
<html>
<head>
<title>Функции Наминас</title>
<meta charset='utf-8'/>
</head>
<body>
 <script type="text/javascript">

// 1.Создать функцию, возводящую число в степень, число и сама степень вводится пользователем

var result=0;
function power(){
    var number=+prompt("Task1. Введите число:");
    result=number;
    var n=+prompt("Task1. В какую степень возвести число?");
    for (var i = 1; i<n; i++) {
        result= result  *number;
    };
    console.log("Результат возведения числа "+number+' в степень '+n+' равен: '+result);
}
power();




// 2.Напишите функцию, которая возвращает n-е число Фибоначчи. Для решения используйте цикл.

var n = +prompt("№5. Введите количество элементов:");
     var prev1=1; var next=0;
     var prev2=1;

     document.write("<br><b>№5. Числа Фибоначчи: </b>"+prev2+", "+prev1+",");
         for(var i=0;i<n;i++){
            next=prev1+prev2; 
            prev2=prev1;
            prev1=next; 
         
         document.write(" "+ next+",");
         }

    function Fibonachi(n){
        
        var prev1=1;
        var next =[];
        var prev2=1;
        var t=n+5;

        console.log("<br>Task2. Список чисел Фибоначчи:"); // если надо вывести числа фибоначчи

        for(var i=0;i<t;i++){ // Просчитываем на 5 чисел больше, чем указал пользователь
            if(i<2){
            next[i]=prev1; // закидываем единицы
            }

            else{
                next[i]=prev1+prev2; 
                prev2=prev1;
                prev1=next[i]; 
            } 
        console.log(" / "+ next[i]+" / "); // если надо вывести числа фибоначчи

        }
        return next[n];
    }

    var n = +prompt("Task2. Какое число Фибоначчи вы хотите вернуть?");
    console.log('<br>Ваше '+n+" число Фибоначчи:  "+ Fibonachi(n-1));



// 3.Сделайте функцию, которая принимает параметром число от 1 до 7, а возвращает день недели на русском языке. Показать решение.
    
    function getDay(n){
    var days= ["Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота", "Воскресенье"];
     return days[n-1];   
    }

    var n=+prompt("Task 3. Введите число от 1 до 7:");
    console.log('Task 3. '+n+" день недели - это " + getDay(n));



// 4.Добавьте пару параграфов на страницу. Напишите функцию, которая выделяет все параграфы на странице красным цветом фона.
</script>
     <p>
        Task 4. Nam molestie porttitor odio nec dictum. Nulla pulvinar nec erat id lacinia. Donec a elit vel nisi elementum sollicitudin. Ut laoreet justo velit, ut pellentesque dui aliquam in. Aliquam lobortis elit ipsum, quis tincidunt augue bibendum aliquet. Etiam a turpis quis magna vehicula elementum. Mauris et massa bibendum, egestas felis vel, finibus nisi. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Proin congue ante non odio gravida, sit amet laoreet diam molestie. Quisque non justo nulla.</p>
    <p>
        Task 4. Curabitur nulla lectus, pretium nec rutrum sed, aliquet viverra erat. Nulla at ornare sem. Suspendisse potenti. Suspendisse vel ipsum et dui rhoncus consequat in vel quam. Curabitur arcu purus, scelerisque consectetur semper in, convallis ac lorem. Sed dapibus scelerisque diam vel molestie. Phasellus convallis luctus elementum. In vehicula massa a orci accumsan faucibus. Sed condimentum tellus ut mauris lacinia, ultricies semper lectus commodo. Donec sed aliquet purus, sed congue purus. Nulla dapibus varius eros ut faucibus.</p>
    <p>
        Task 4. In hendrerit tempor metus, ut aliquam massa interdum non. Aliquam fringilla ac metus auctor ullamcorper. Nunc non enim turpis. Vestibulum turpis ante, lacinia quis purus ac, ultrices tristique erat. Donec ac sodales neque. Donec et orci in eros dictum tempor finibus vitae felis. Nam sit amet diam magna. Vestibulum fringilla diam ipsum, sit amet feugiat lorem gravida quis. Praesent blandit nisl quis porta laoreet. Cras iaculis leo eu pretium bibendum. Ut dapibus ac odio sit amet tincidunt. Aenean quis vestibulum purus. Nulla vel est sit amet neque pharetra faucibus. Aenean aliquam dapibus leo, vel euismod eros efficitur vel.
    </p> 
    <script type="text/javascript">
    function redParagraph(){
        var p = document.getElementsByTagName('P');
        p[0].style.background = "red";
        p[1].style.background = "red";
        p[2].style.background = "red";
    }
    redParagraph();



// 5.Функция принимает параметр - возраст пользователя. Если число больше 16 – то выводим «добро пожаловать», если меньше – “вы еще молоды”.

    function getYears(age){
        age>=16 ? alert("Добро пожаловать") : alert("Вы еще молоды!"); // решил попробовать через такую способ записи IF
    }
    var y=+prompt('Task 5. Сколько Вам лет?');
    getYears(y);



// 6.Создайте функцию, которая считает длину массива и возвращает ее в виде числа. Массив в функцию передается как аргумент. Если аргумент не задан – выводится сообщение об ошибке.

        //пока что такой простой способ. Как высчитать самостоятельно длину массива пока думаю 
        var length=0;
        function getArrLength(array){
            if (arguments[0]==undefined) alert("Аргумент функции не задан! Задайте аргумент!");
            if(array.length==0) alert("Пустой массив! Задайте его!");

        return array.length;
        }

        var arr=[1,55,8,3,2,0,177,27272,888,444,555,33];
        var arr1=[1,55,8,3,2,0,177,27272,888];
        var arr2=[];
        console.log("В массиве 1: "+getArrLength(arr)+" элементов"); 
        console.log("В массиве 2: "+getArrLength(arr1)+" элементов");
        console.log("В массиве 3: "+getArrLength(arr2)+" элементов"); // должна сработать ошибка пустого массива
        console.log("Длина массива: "+getArrLength()+" элементов"); // должна сработать сначала Алерт на аргумент, а потом


</script>
</body>
</html>